Bug 117454 - EDITING Writer crashes when manipulating variables in Compress window
Summary: EDITING Writer crashes when manipulating variables in Compress window
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0 all versions
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Compression-Dialog
  Show dependency treegraph
 
Reported: 2018-05-06 06:40 UTC by Emil Tanev
Modified: 2019-05-10 03:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-05-06 06:40:08 UTC
Open Writer
Import an image
Write-click the image - Compress
Set Resolution to 969999999
Click Calculate New Size

Issue: Fatal error. Upon clicking OK in the error message, Writer crashes.

https://screencast-o-matic.com/watch/cFh11abTQv


Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 1 raal 2018-05-06 07:00:26 UTC
No repro with Version: 6.1.0.0.alpha1+
Build ID: f8f65d88ede1db197c35be7b0db117c321b0d180
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 2 raal 2018-05-06 07:20:44 UTC
No repro with Version: 6.1.0.0.alpha1+ (x64)
Build ID: e89dc1b6819b3a2d67d2cc077ca7ddee2261998e
CPU threads: 1; OS: Windows 6.1; UI render: default; 

Seems to be fixed with dev version. Please could you test it with
dev version?  You can download it here:
http://dev-builds.libreoffice.org/daily/master/
Comment 3 Emil Tanev 2018-05-07 05:39:27 UTC
Reproducible with 

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-07_01:12:11
Locale: en-US (en_US); Calc: group

https://screencast-o-matic.com/watch/cFhihBbOVl
Comment 4 Julien Nabet 2018-05-07 09:36:24 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 5 Xisco Faulí 2018-05-08 08:57:17 UTC
Also reproduced in

Versión: 4.4.0.3
Id. de compilación: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Configuración regional: es_ES
Comment 6 Xisco Faulí 2018-05-08 09:01:43 UTC
The Compress Graphic dialog was added in 4.0 by Tomaž Vajngerl -> https://wiki.documentfoundation.org/ReleaseNotes/4.0#GUI

Adding Tomaž to the loop
Comment 7 Julien Nabet 2018-05-09 15:13:41 UTC
With the following patch, we can prevent user from changing the resolution but perhaps it's not what we want:
diff --git a/svx/uiconfig/ui/compressgraphicdialog.ui b/svx/uiconfig/ui/compressgraphicdialog.ui
index 14dd0a1c7bb5..e7539a05368f 100644
--- a/svx/uiconfig/ui/compressgraphicdialog.ui
+++ b/svx/uiconfig/ui/compressgraphicdialog.ui
@@ -419,7 +419,7 @@
                             </items>
                             <child internal-child="entry">
                               <object class="GtkEntry">
-                                <property name="can_focus">True</property>
+                                <property name="can_focus">False</property>
                                 <property name="activates_default">True</property>
                               </object>
                             </child>

Otherwise, perhaps we should consider to define a max resolution?
Comment 8 QA Administrators 2019-05-10 03:07:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug